Target version:    

Redmine version:  External issue:  

Description

The hooks option suggested by Takashi Okamoto (thanks, Takashi!) is really cool but... When added this feature I thought that

maybe it’s not a good idea to copy files inside Ruby process. For copying files Ruby also runs shell... At that time I decided to think

about a better implementation meanwhile including hooks...

Now seems a better idea was suggested by Blaž Podržaj. I believe it’s better to use the on creation script to copy hooks! So after

adding these scripts I’m going to make hooks/hgrc options obsolete and remove them in future versions!

What do you think?

Related issues:

Related to SCM Creator (+Github) - Feature #1870: Adding creation and deletio... Closed 14 Oct 2011 05 Nov 2011

Associated revisions

Revision 120 - 17 Nov 2012 10:15 - Andriy Lesyuk

Added support for jQuery/Redmine 2.1.x (#2101), disabled hooks option (#1886)

Revision 132 - 06 May 2014 10:48 - Andriy Lesyuk

GithubCreator support (#1950), SCMCreator interface fixes, hooks removal (#1886)

History

#1 - 13 Nov 2011 20:40 - Andriy Lesyuk

Check this article on how to migrate: Migrating from hooks to scripts

#2 - 24 Nov 2011 12:24 - Blaž Podržaj

So to clear things up... you export 3 variables right? And $3 is actually a project identifier? I’m asking becaus I’m working on a script that will generate

hooks on-the-fly and project identifier needs to be part of those hooks. The idea is to optimize post-commit to only fetch changesets from their project

repo.

#3 - 24 Nov 2011 12:44 - Blaž Podržaj

Ahh, I have just seen Scripts. Please disregard my previous comment.

#4 - 08 Oct 2012 14:32 - Andriy Lesyuk

- Target version set to 0.4.2

#5 - 17 Nov 2012 10:17 - Andriy Lesyuk

- Status changed from Open to In Progress

- Assignee set to Andriy Lesyuk

- Target version deleted (0.4.2)

- % Done changed from 0 to 80
http://projects.andriylesyuk.com/projects/scm-creator/wiki/HooksToScripts
http://projects.andriylesyuk.com/projects/scm-creator/wiki/Scripts


Will need to remove the option, perhaps...

#6 - 06 May 2014 10:49 - Andriy Lesyuk

- Due date set to 06 May 2014

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
